Package org.eclipse.m2m.atl.profiler.core.vm

## Interface IOperation

    public interface IOperation

An abstract definition of ATL VM operations.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<?>` `getInstructions()` Returns the operation instructions.
`java.lang.String` `getName()` Returns the operation name.

### Method Detail

#### getName

    java.lang.String getName()

Returns the operation name.

Returns:
  the operation name

#### getInstructions

    java.util.List<?> getInstructions()

Returns the operation instructions.

Returns:
  the operation instructions